import React from 'react';
declare type InputModifier = 'shiftKey' | 'altKey' | 'ctrlKey' | 'metaKey';
export declare type InputDragModifiers = {
    [key in InputModifier]?: number;
};
export declare type InputWithDragChangeHandler = (value: number, input: HTMLInputElement | null) => void;
interface InputProps extends Omit<React.InputHTMLAttributes<HTMLInputElement>, 'onChange' | 'onInput'> {
    modifiers?: InputDragModifiers;
    onChange?: InputWithDragChangeHandler;
    onInput?: InputWithDragChangeHandler;
}
/**
 * Input with drag functionality

 * @prop {number} mouseDragThreshold - The number of pixels that a User Interface element has to be moved before it is recognized.
 * @prop {number} tabletDragThreshold - The drag threshold for tablet events.
 */
export default function InputDrag({ value: _value, style: _style, modifiers: _modifiers, onChange, onInput, ...props }: InputProps): JSX.Element;
export {};
